Name:           libusrsctp
Version:        0.9.5.0
Release:        6%{?dist}
Summary:        Userland SCTP implementation

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/sctplab/usrsctp/
Source0:        https://github.com/sctplab/usrsctp/archive/%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  libtool

%description
This is the reference implementation for userland SCTP.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.

%prep
%setup -q -n usrsctp-%{version}

%build
./bootstrap
%configure --disable-debug --disable-static --disable-warnings-as-errors
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%files
%doc LICENSE.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Sat Jan 18 2025 Fabrice Bellet <fabrice@bellet.info> - 0.9.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 03 2024 Fabrice Bellet <fabrice@bellet.info> - 0.9.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fabrice Bellet <fabrice@bellet.info> - 0.9.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fabrice Bellet <fabrice@bellet.info> - 0.9.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jul 23 2023 Fabrice Bellet <fabrice@bellet.info> - 0.9.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fabrice Bellet <fabrice@bellet.info> - 0.9.5.0-1
- new upstream release

* Wed Jul 27 2022 Fabrice Bellet <fabrice@bellet.info> - 0.9.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 29 2022 Fabrice Bellet <fabrice@bellet.info> - 0.9.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fabrice Bellet <fabrice@bellet.info> - 0.9.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fabrice Bellet <fabrice@bellet.info> - 0.9.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 04 2021 Fabrice Bellet <fabrice@bellet.info> - 0.9.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Mar 22 2020 Fabrice Bellet <fabrice@bellet.info> - 0.9.3.0-1
- Initial package for Fedora
